DELIMITER $$

CREATE TRIGGER after_insert_rifas_activas
AFTER INSERT ON rifas_activas
FOR EACH ROW
BEGIN
    DECLARE counter INT DEFAULT 1;
    DECLARE total_numeros INT;

    -- Obtener la cantidad de números a generar
    SET total_numeros = NEW.cantidad_numeros;

    -- Iterar para crear los registros en la tabla `numeros`
    WHILE counter <= total_numeros DO
        INSERT INTO numeros (numero, id_rifa, estado_numero, nombre, apellido, cedula, telefono, email, metodo_pago, referencia, imagen)
        VALUES (counter, NEW.id_rifa, 1, '', '', 0, 0, NULL, NULL, NULL, NULL);
        SET counter = counter + 1;
    END WHILE;
END$$

DELIMITER ;